from flask import Flask
from flask_restful import Api

from resources.KF3.friend import KF3_Friend
from resources.KF3.friends import KF3_Friends
from resources.Kingdom.friend import Kingdom_Friend
from resources.Kingdom.friends import Kingdom_Friends
from resources.Kingdom.item import Kingdom_Item
from resources.Kingdom.items import Kingdom_Items
from loaders.KF3.kf3db import KF3DB
from loaders.Kingdom.kingdomdb import KingdomDB

app = Flask(__name__)
app.config['JSON_AS_ASCII'] = False
app.databases = {}

KF3DB(app)
KingdomDB(app)

api = Api(app)

api.add_resource(KF3_Friend, "/KF3/Friend/<int:id>")
api.add_resource(KF3_Friends, "/KF3/Friends")
api.add_resource(Kingdom_Friend, "/Kingdom/Friend/<int:id>")
api.add_resource(Kingdom_Friends, "/Kingdom/Friends")
api.add_resource(Kingdom_Item, "/Kingdom/Item/<int:id>")
api.add_resource(Kingdom_Items, "/Kingdom/Items")

if __name__ == '__main__':
    app.run(host='127.0.0.1', port=8080, debug=True)