import json
from flask_restful import Resource
from flask import current_app as app

class KF3_Friends(Resource):
    def get(self):
        db = app.databases["KF3"]
        result = []
        for value in db.charaData.values():
            result.append({"id": value["id"], "name": value["nameEn"]})

        result = sorted(result, key=lambda f: f["id"])

        response = app.response_class(
            response=json.dumps(result, ensure_ascii=False, indent=1),
            status=200,
            mimetype='application/json'
        )
        response.headers.add("Access-Control-Allow-Origin", "*")

        return response   